/**
 * 数据中台通用接口文档
 */
import httputils from "@/api/httputils";
const baseApi = "/datacenter";

// 查询建筑信息
export function buildingQuery(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/building/query`, postParams);
}

// 查询建筑信息
export function floorQuery(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/floor/query`, postParams);
}

// 字典查询
export function dictCategoryQuery(postParams: any): any {
    return httputils.postJson(`${ baseApi }/dict/category`, postParams);
}

// 查询项目下类型的信息点-->编辑器 空间功能类型 列表-->自己转成树
export function dictQuery(postParams: any): any {
    // postParams:{
    // "filters": "code='roomFuncType'",
    // "type": "GeneralZone"
    // }
    return httputils.postJson(`${ baseApi }/dict/query`, postParams);
}

// 查询空间实例
export function PartiInstancQuery(postParams: any): any {
    // postParams:{
    // "filters": "code='roomFuncType'",
    // "type": "GeneralZone"
    // }
    return httputils.postJson(`${ baseApi }/object/zone/query`, postParams);
}

// 查询设备信息
export function queryEquip(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/equip/query`, postParams)
}

// 创建设备信息
export function createEquip(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/equip/create`, postParams)
}

// 更新设备信息
export function updateEquip(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/equip/update`, postParams)
}

// 查询系统信息
export function querySystem(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/system/query`, postParams)
}
// 查询空间信息
export function queryZone(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/zone/query`, postParams)
}

// 查询元空间信息
export function queryIspace(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/ispace/query`, postParams)
}

// 创建空间
export function createZone(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/zone/create`, postParams)
}

// 更新空间
export function updateZone(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/zone/update`, postParams)
}

// 查询设备统计
export function queryCount(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/equip/count`, postParams)
}

// 查询系统统计
export function queryCountSystem(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/system/count`, postParams)
}

// 查询空间统计
export function queryCountSpace(postParams: any): any {
    return httputils.postJson(`${ baseApi }/object/zone/count`, postParams)
}

// 查询关系总览
export function relationshipOverview(postParams: any): any {
    return httputils.postJson(`${ baseApi }/rel/graphic/overview`, postParams)
}

// 查询关系数量
export function relationshipCount(postParams: any): any {
    return httputils.postJson(`${ baseApi }/rel/graphic/query/count`, postParams)
}
